com.verisign.epp.codec.nv

## Class EPPNameVerificationInfoResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.nv.EPPNameVerificationInfoResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPNameVerificationInfoResp
      extends EPPResponse

  Info response to an info command that contains either a signed code or input result, based on the value of the `EPPNameVerificationInfoCmd` type attribute.
  See Also:
    `EPPNameVerificationInfoCmd`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPNameVerificationInfoResp`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPNameVerificationInfoResp`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationInfoResp()` `EPPNameVerificationInfoResp` default constructor.
    `EPPNameVerificationInfoResp(EPPTransId aTransId)` `EPPNameVerificationInfoResp` constructor that the transaction id associated with the response.
    `EPPNameVerificationInfoResp(EPPTransId aTransId, EPPNameVerificationInfoResult aResult)` `EPPNameVerificationInfoResp` constructor that includes the required result.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPNameVerificationInfoResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPNameVerificationInfoResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameVerificationInfoResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameVerificationInfoResp` with this instance.
    `EPPNameVerificationInfoResult` | `getCreateResult()` Gets the concrete result of the info.
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPNameVerificationInfoResp`.
    `java.lang.String` | `getType()` Gets the EPP response type associated with `EPPNameVerificationInfoResp`.
    `void` | `setCreateResult(EPPNameVerificationInfoResult aResult)` Sets the concrete result of the info.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPNameVerificationInfoResp`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPNameVerificationInfoResp`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationInfoResp

          public EPPNameVerificationInfoResp()

      `EPPNameVerificationInfoResp` default constructor.

    - #### EPPNameVerificationInfoResp

          public EPPNameVerificationInfoResp(EPPTransId aTransId)

      `EPPNameVerificationInfoResp` constructor that the transaction id associated with the response. The info result must be set.
      Parameters:
        `aTransId` - Transaction Id associated with response.

    - #### EPPNameVerificationInfoResp

          public EPPNameVerificationInfoResp(EPPTransId aTransId,
                                             EPPNameVerificationInfoResult aResult)

      `EPPNameVerificationInfoResp` constructor that includes the required result.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aResult` - The concrete result of the info.

  - ### Method Detail

    - #### getCreateResult

          public EPPNameVerificationInfoResult getCreateResult()

      Gets the concrete result of the info.
      Returns:
        Concrete info result.

    - #### setCreateResult

          public void setCreateResult(EPPNameVerificationInfoResult aResult)

      Sets the concrete result of the info.
      Parameters:
        `aResult` - Concrete info result.

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationInfoResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPNameVerificationInfoResp instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPNameVerificationInfoResp instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPNameVerificationInfoResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationInfoResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationInfoResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPNameVerificationInfoResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPNameVerificationInfoResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        `EPPNameVerificationInfoResp.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPNameVerificationInfoResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPNameVerificationMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationInfoResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.